## ros-humble-ros2action 0.18.7

=== debian/changelog ===
ros-humble-ros2action (0.18.7-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-ros2action (0.18.6-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-ros2action (0.18.5-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-ros2action (0.18.4-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-ros2action (0.18.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-humble-ros2action (0.18.2-1jammy) jammy; urgency=high

  * Add timeout to kill hanging tests (#701 <https://github.com/ros2/ros2cli/issues/701>)
  * Contributors: Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 30 Mar 2022 00:00:00 -0000

ros-humble-ros2action (0.18.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-humble-ros2action (0.18.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-ros2action (0.17.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jan 2022 00:00:00 -0000

ros-humble-ros2action (0.17.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jan 2022 00:00:00 -0000

ros-humble-ros2action (0.16.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-ros2action (0.16.0-1jammy) jammy; urgency=high

  * Depend on launch packages instead of ros_testing to avoid circular dependency (#685 <https://github.com/ros2/ros2cli/issues/685>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-ros2action (0.15.0-1jammy) jammy; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Nov 2021 00:00:00 -0000

ros-humble-ros2action (0.14.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 26 Apr 2021 00:00:00 -0000

ros-humble-ros2action (0.13.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-ros2action (0.12.0-1jammy) jammy; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 02 Mar 2021 00:00:00 -0000

ros-humble-ros2action (0.11.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-humble-ros2action (0.10.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-humble-ros2action (0.10.0-1jammy) jammy; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Contributors: Claire Wang

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 02 Nov 2020 00:00:00 -0000

ros-humble-ros2action (0.9.5-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-humble-ros2action (0.9.4-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-humble-ros2action (0.9.3-1jammy) jammy; urgency=high

  * Make CLI more robust to discovery latency. (#494 <https://github.com/ros2/ros2cli/issues/494>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 13 May 2020 00:00:00 -0000

ros-humble-ros2action (0.9.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-humble-ros2action (0.9.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 May 2020 00:00:00 -0000

ros-humble-ros2action (0.9.0-1jammy) jammy; urgency=high

  * Skip CLI tests on Windows until we resolve the blocking/hanging isuse. (#489 <https://github.com/ros2/ros2cli/issues/489>)
  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Remove ready_fn from test descriptions. (#376 <https://github.com/ros2/ros2cli/issues/376>)
  * Used get_available_rmw_implementations from rclpy. (#461 <https://github.com/ros2/ros2cli/issues/461>)
  * Add delay when retrying tests involving the CLI daemon. (#459 <https://github.com/ros2/ros2cli/issues/459>)
    This is to give time for discovery to happen between the daemon node and the test fixture nodes.
  * Use f-string. (#448 <https://github.com/ros2/ros2cli/issues/448>)
    * Use f-string
    * Remove unused variable
  * Only load required entry points which improves the performance. (#436 <https://github.com/ros2/ros2cli/issues/436>)
    * Extend API to exclude extensions from loading
    * Add add_subparsers_on_demand() function
    * Update all extensions to use the new API
    * Deprecate old API, add deprecation warnings
  * [ros2action] Refactor send_goal implementation. (#406 <https://github.com/ros2/ros2cli/issues/406>)
    Resolve a TODO and use a function from rosidl_runtime_py to get the action interface.
  * Merge branch 'master' of github.com:ros2/ros2cli

